/*
    Copyright (C) 2000 by Hervé PHILIPPE <rv@ubix.org> (or <rv@bemail.org>)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _TEXTESDULOGICIEL_H_
#define _TEXTESDULOGICIEL_H_

#include <stdio.h>
#include <SupportDefs.h>		// Pour uint8
#include <fs_attr.h>			// Pour attr_info
#include <File.h>
#include <Path.h>

class TextesDuLogiciel
{
// FONCTIONS
	public:
				TextesDuLogiciel();
		virtual	~TextesDuLogiciel();
		void	ChargerFichier(const BEntry* entree_fichier);
		char*	Texte(uint8 numero_du_texte);

// VARIABLES ET CONSTANTES
	private:
		char**		m_TableauTextes;
static	const char*	m_kTableauNomsAttributs[];
static	const uint8	m_kNombreDAttributs;
};

#endif