/*
    Copyright (C) 2000 by Hervé PHILIPPE <rv@ubix.org> (or <rv@bemail.org>)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _DEPLACEMENTHUMAIN_H_
#define _DEPLACEMENTHUMAIN_H_

#include "Deplacement.h"

class DeplacementHumain : public Deplacement
{
// FONCTIONS
	public:
				DeplacementHumain(PlateauDeJeuInterne* plateau_de_jeu_interne, PlateauDeJeuGraphique* plateau_de_jeu_graphique, BFileGameSound* son_pousser, BFileGameSound* son_tomber, int8 couleur, bool variante_dubble);
		void	JoueurAppuieSouris(BPoint where);
		int8	JoueurRelacheSouris(BPoint where, bool faire_glisser_les_boules = true);
		void	Deselectionner();
	protected:
		void	LigneLateralePossible(int8 numero_boule_appuyee);

// VARIABLES ET CONSTANTES
	private:

};

#endif